=== debian/changelog ===
git-cola (4.3.2-1) unstable; urgency=medium

  * New upstream release (closes: #1029482, #1055203).
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 28 Oct 2023 11:59:35 +0200

git-cola (3.12.0-3) unstable; urgency=medium

  * No longer need to change shebang lines (closes: #1054806).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 28 Oct 2023 09:37:36 +0200
