=== debian/changelog ===
git-cola (4.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove python3-distutils dependency (closes: #1065866).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Mar 2024 18:44:40 +0100

git-cola (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Use no for Rules-Requires-Root.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 03 Feb 2024 19:50:43 +0100
