=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: vcs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python
+Build-Depends: debhelper-compat (= 13), dh-python, pybuild-plugin-pyproject
 Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
 Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://git-cola.github.io/
 #Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git
 
 Package: git-cola
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-distutils, python3-qtpy, git-core, libjs-jquery, libjs-underscore
+Depends: ${python3:Depends}, ${misc:Depends}, python3-polib, python3-qtpy, git-core, libjs-jquery, libjs-underscore
 Recommends: gitk, xxdiff, tclsh
 Suggests: python3-pyinotify, python3-simplejson
 Description: highly caffeinated git GUI
