=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=git-cola

export LC_ALL=C

override_dh_install:
	dh_install -O--buildsystem=pybuild
	PYTHON=python3 $(MAKE) -C docs DESTDIR=$(CURDIR)/debian/git-cola \
	       prefix=/usr install-man install-html

%:
	dh $@ --with python3 --buildsystem=pybuild
