## git-cola 4.7.1

=== debian/changelog ===
git-cola (4.7.1-1) unstable; urgency=medium

  * New upstream release.

  [ Michael R. Crusoe" <crusoe@debian.org> ]
  * Add python3-setuptools-scm to Build-Depends-Indep for proper versioning
    (closes: #1069833).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 02 Jun 2024 19:18:52 +0200
