## git-cola 4.8.0

=== debian/changelog ===
git-cola (4.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 07 Jul 2024 06:54:32 +0200
