## git-cola 4.8.1

=== debian/changelog ===
git-cola (4.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Jul 2024 12:09:20 +0000
