=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, pybuild-plugin-pyproject
-Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
+Build-Depends-Indep: python3, python3-setuptools-scm,
+ python3-qtpy, python3-sphinx,
+ rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://git-cola.github.io/
