## git-cola 4.8.2

=== debian/changelog ===
git-cola (4.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 19 Sep 2024 18:14:15 +0200
