=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper-compat (= 13), dh-python, pybuild-plugin-pyproject
 Build-Depends-Indep: python3, python3-setuptools-scm,
  python3-qtpy, python3-sphinx,
- rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
-Standards-Version: 4.6.2
+ rsync, git-core, gettext, asciidoc, xmlto
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://git-cola.github.io/
 #Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
