## git-cola 4.10.0

=== debian/changelog ===
git-cola (4.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 13 Dec 2024 22:21:27 +0100

git-cola (4.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 06 Nov 2024 20:58:42 +0100
