=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-polib, python3-qtpy, git-core, libjs-jquery, libjs-underscore
 Recommends: gitk, xxdiff, tclsh
-Suggests: python3-pyinotify, python3-simplejson
+Suggests: python3-notify2, python3-simplejson
 Description: highly caffeinated git GUI
  Git-cola is a git GUI optimized for working with the git index.
  .
