## git-cola 4.10.1

=== debian/changelog ===
git-cola (4.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Move dependency to PyQt6 (closes: #1089951).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 15 Dec 2024 07:37:51 +0100
