=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, pybuild-plugin-pyproject
 Build-Depends-Indep: python3, python3-setuptools-scm,
- python3-qtpy, python3-sphinx,
+ python3-qtpy-pyqt6, python3-sphinx,
  rsync, git-core, gettext, asciidoc, xmlto
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
@@ -14,7 +14,7 @@
 
 Package: git-cola
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-polib, python3-qtpy, git-core, libjs-jquery, libjs-underscore
+Depends: ${python3:Depends}, ${misc:Depends}, python3-polib, python3-qtpy-pyqt6, git-core, libjs-jquery, libjs-underscore
 Recommends: gitk, xxdiff, tclsh
 Suggests: python3-notify2, python3-simplejson
 Description: highly caffeinated git GUI
