## git-cola 4.11.0

=== debian/changelog ===
git-cola (4.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove the suggestion of python3-simplejson (closes: #1093518).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 03 Feb 2025 18:37:45 +0100
