## git-cola 4.12.0

=== debian/changelog ===
git-cola (4.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 25 Feb 2025 21:08:01 +0100
