## git-cola 4.13.0

=== debian/changelog ===
git-cola (4.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 14 May 2025 18:13:06 +0200
