=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,13 @@
 
 override_dh_install:
 	dh_install -O--buildsystem=pybuild
-	PYTHON=python3 $(MAKE) -C docs DESTDIR=$(CURDIR)/debian/git-cola \
+	$(MAKE) -C docs DESTDIR=$(CURDIR)/debian/git-cola \
 	       prefix=/usr install-man install-html
+	$(MAKE) DESTDIR=$(CURDIR)/debian/git-cola \
+	       prefix=/usr install-desktop-files install-icons
+	install -d $(CURDIR)/debian/git-cola/usr/share/metainfo/
+	install -m 0664 $(CURDIR)/share/metainfo/*.xml \
+	       	$(CURDIR)/debian/git-cola/usr/share/metainfo/
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
