## git-cola 4.14.0

=== debian/changelog ===
git-cola (4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 14 Aug 2025 17:52:22 +0200
