=== debian/changelog ===
git-cola (4.15.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 Sep 2025 18:36:30 +0200
