=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends-Indep: python3, python3-setuptools-scm,
  python3-qtpy-pyqt6, python3-sphinx,
  rsync, git-core, gettext, asciidoc, xmlto
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://git-cola.github.io/
 #Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
