=== debian/changelog ===
git-cola (4.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove now redundant Rules-Requires-Root value.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 29 Oct 2025 17:49:01 +0100
