=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  python3-qtpy-pyqt6, python3-sphinx,
  rsync, git-core, gettext, asciidoc, xmlto
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://git-cola.github.io/
 #Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git
