## git-cola 4.16.1

=== debian/changelog ===
git-cola (4.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 19 Nov 2025 22:18:50 +0100
