## git-cola 4.17.0

=== debian/changelog ===
git-cola (4.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 06 Jan 2026 22:00:03 +0100
