## git-cola 4.17.1

=== debian/changelog ===
git-cola (4.17.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 05 Feb 2026 19:32:56 +0100
