=== debian/watch ===
Version: 5

Template: Github
Owner: git-cola
Project: git-cola
